On Thu, Mar 17, 2005 at 10:34:10AM -0500, Tim Peters wrote:
> [Sidnei da Silva]
> ....
> > Humm... we are trying to push a Zope 2.8 beta out, do you have or know
> > of plans to use ZODB 3.4 with Zope 2.8?
> Yes.  Jim needs to fix ZClasses for 2.8 too.  ZODB 3.4 requires some
> Zope(3) features, like zope.interfaces and zope.testing.  Jim is
> adding those on his ZClasses branch.  When the ZClasses work is merged
> (but not before), it becomes possible to move to ZODB 3.4.  Zope3
> already uses ZODB trunk (3.4 development).  We can't afford to
> maintain a separate ZODB just for Zope 2.8, so view moving to ZODB 3.4
> as a requirement for Zope 2.8.

Oh, also please note that we're merging zope.interfaces and zope.testing
into Zope 2.8 already. So once we merge that branch (today, we expect),
ZODB 3.4 could be merged in. But I'm worried that there are other
factors involved with ZODB 3.4 that will hold up release even further.

For instance, there is no ZODB 3.4 release yet; how much work would that



Zope-Dev maillist  -  Zope-Dev@zope.org
**  No cross posts or HTML encoding!  **
(Related lists - 
 http://mail.zope.org/mailman/listinfo/zope )

Reply via email to